<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>net9.0</TargetFramework>
		<ImplicitUsings>enable</ImplicitUsings>
		<Nullable>enable</Nullable>
	</PropertyGroup>

	<ItemGroup>
		<ProjectReference Include="..\PARR.DAL\PARR.DAL.csproj" />
		<ProjectReference Include="..\PARR.Domain\PARR.Domain.csproj" />
		<ProjectReference Include="..\PARR.Infrastructure\PARR.Infrastructure.csproj" />
	</ItemGroup>

	<ItemGroup>
		<Reference Include="PARR.Core">
			<HintPath>..\PARR.Core\obj\Debug\net9.0\ref\PARR.Core.dll</HintPath>
		</Reference>
	</ItemGroup>

	<ItemGroup>
		<!-- Разрешаем тестовой сборке видеть internal классы PARR.Core -->
		<InternalsVisibleTo Include="PARR.Test" />
		<!-- Разрешаем Castle DynamicProxy (Moq / NSubstitute) видеть internal классы PARR.Core -->
		<InternalsVisibleTo Include="DynamicProxyGenAssembly2" />
	</ItemGroup>

</Project>
